com.impinj.octane

## Enum ConnectAsyncResult

- java.lang.Object
- - java.lang.Enum<ConnectAsyncResult>
  - - com.impinj.octane.ConnectAsyncResult

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ConnectAsyncResult>

      public enum ConnectAsyncResult
      extends java.lang.Enum<ConnectAsyncResult>

  Enumeration used to specify the result of an asynchronous connection attempt

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Failure` Failed to connect to the reader
    `Success` Successfully connected to the reader

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConnectAsyncResult` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ConnectAsyncResult[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Success

          public static final ConnectAsyncResult Success

      Successfully connected to the reader

    - #### Failure

          public static final ConnectAsyncResult Failure

      Failed to connect to the reader

  - ### Method Detail

    - #### values

          public static ConnectAsyncResult[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConnectAsyncResult c : ConnectAsyncResult.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConnectAsyncResult valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null